<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainGroup.html">TerrainGroup</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TerrainGroup Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a0d6e2200981b81c2d009550914569998">boxIntersects</a>(const AxisAlignedBox &amp;box, TerrainList *resultList) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a008f51c172bd858cca8763af865f3fa1">canHandleRequest</a>(const WorkQueue::Request *req, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ad608848047850ff730ef870457b7e14f">canHandleResponse</a>(const WorkQueue::Response *res, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#af5d1ab56ff789b227e25e2011877c224">CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a18b58f7ef72dae5943447a3167b61150">CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#af30e8625d7956cddd0d2a788186a9586">connectNeighbour</a>(TerrainSlot *slot, long offsetx, long offsety)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a715d18edfe80acd905f82e69145b58ce">ConstTerrainIterator</a> typedef</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#acb484f82231785e00d232d2288ab666f">convertTerrainSlotToWorldPosition</a>(long x, long y, Vector3 *pos) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a8008d7fa4b1dbbe4e8edf9d07408dd82">convertWorldPositionToTerrainSlot</a>(const Vector3 &amp;pos, long *x, long *y) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a0dcd142d9931122fd8de4cd4ca9c4263">defineTerrain</a>(long x, long y)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a3339ab4895c8a8f5339dc789854abd65">defineTerrain</a>(long x, long y, float constantHeight)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a5f80864c75d98bf4796a9f925b65eebb">defineTerrain</a>(long x, long y, const Terrain::ImportData *importData)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a1e6699ed42660600b9f4cef4ba9812f4">defineTerrain</a>(long x, long y, const Image *img, const Terrain::LayerInstanceList *layers=0)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a72463e9fad2427e3e0b9d55c9fe1c7f7">defineTerrain</a>(long x, long y, const float *pFloat, const Terrain::LayerInstanceList *layers=0)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a212c614fe05a4c09731b3c2d9227d1e2">defineTerrain</a>(long x, long y, const String &amp;filename)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a6f1921036f2e2a12087c5ee792a03492">freeTemporaryResources</a>()</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ae891835728bf72ac0b5c71bff7843270">generateFilename</a>(long x, long y) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a6e9b3d00381017d8d79af383fefc850a">getAlignment</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a0b2e61a15cfdda3ed87b62dba174f576">getDefaultImportSettings</a>()</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a12a05e1e305a8fab0d462eb41d3ebec5">getFilenameExtension</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#abf3dc8d382bc84861c587a111d4720e7">getFilenamePrefix</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a0ef435c6c37de37ae09c8874c8fe58dc">getHeightAtWorldPosition</a>(Real x, Real y, Real z, Terrain **ppTerrain=0)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a404abe9c1da4ae4f794384ef2ddff94d">getHeightAtWorldPosition</a>(const Vector3 &amp;pos, Terrain **ppTerrain=0)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ac38b3814508c5b3d0796b2c37e4631e9">getOrigin</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a68c9539a5c6ae6b7213bc1f488af558d">getResourceGroup</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ae70b41ef021cb0f54dc6375c7be82007">getSceneManager</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a8128d61930f1c5c6e96a234022812aa4">getTerrain</a>(long x, long y) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#acd8bbef8440cd204305215ef702a63cf">getTerrainDefinition</a>(long x, long y) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ab3a50caf08ce5049ed0a15c0f610523d">getTerrainIterator</a>()</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#adab0a233b1127742c1ce397821fdb08b">getTerrainIterator</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a18805654cfff153c1b8c877d42611c94">getTerrainSize</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a93701790eae6f0c501f1b7667962ff17">getTerrainSlot</a>(long x, long y, bool createIfMissing)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a1b39c522f092da00c93c3e326779b6d4">getTerrainSlot</a>(long x, long y) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a99752a7b5986cffd89e7eb8b11e81dd2">getTerrainSlotPosition</a>(long x, long y)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a90b257d52f99b92a25408cf72120e855">getTerrainWorldSize</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a28e769b1bb49906de087be411ae97001">handleRequest</a>(const WorkQueue::Request *req, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a5d062f88928dd1a572dc7a411b07457b">handleResponse</a>(const WorkQueue::Response *res, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a6042cb939f567afe2b9d718e9ccee2b2">isDerivedDataUpdateInProgress</a>() const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ad1666853bba30ba6c5d98a5f2fc7d7ad">loadAllTerrains</a>(bool synchronous=false)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a24a0fc7a1be84cd44834842521481219">loadGroupDefinition</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ab2024c1b3890def8d88aa3a0436edf66">loadGroupDefinition</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#aa2b3aa6c682d8b60be016bc6e503bd3b">loadTerrain</a>(long x, long y, bool synchronous=false)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a9f0db2beb24461ff2f6fa6e0086d2ac7">loadTerrainImpl</a>(TerrainSlot *slot, bool synchronous)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a8c8319cbac81a0f578782fa70fd66cb7">mAlignment</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ad4b759d5097acde58dd6284b93018d3c">mBufferAllocator</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a5c47a92b02e09ef2f850a2c4cf2775c0">mDefaultImportData</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a2044bb709d34d8c076e64f09a27f49e1">mFilenameExtension</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#aa79a055604bc648af378372a7b9ad213">mFilenamePrefix</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ae65f81ca3a610890ce8adee9af9558ae">mOrigin</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a682c2344fd983466b781ebf983e66f40">mResourceGroup</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#aa8f11349f0a425796d4a99e2e5f6b66b">mSceneManager</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#aeeec8fb802670787fd2e190325a824bc">mTerrainSize</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a4d2011a8a98704115fa8e45ac964abb2">mTerrainSlots</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a6ced6a20eb843f20eaaa072bdcfbad27">mTerrainWorldSize</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a120308b21f119c35862024c8a626eb3e">mWorkQueueChannel</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a4cc4579f528a0e0c24cc8d24006e7fe2">packIndex</a>(long x, long y) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a44d246cd443b8690fbbcdf9f127f7818">rayIntersects</a>(const Ray &amp;ray, Real distanceLimit=0) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#afdf092661bbf77ba7e1d5080f2f3bbe2">removeAllTerrains</a>()</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ac61b66e483e66bf0c860b6d9885aa5dd">removeTerrain</a>(long x, long y)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#a37f35aaa5935b91a180d92e5243fccb7">RequestHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html">Ogre::WorkQueue::RequestHandler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a0e4215e93030a19595bc2d2e30f0a938">ResponseHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html">Ogre::WorkQueue::ResponseHandler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a04ca28f8d5f4d47da77da4b71492ff4c">saveAllTerrains</a>(bool onlyIfModified, bool replaceManualFilenames=true)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a20a7cffbed2c46fef92c2b655781fa7a">saveGroupDefinition</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a653b5492ff3f70b0363c124bdc2824ad">saveGroupDefinition</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ac8af5ccd3d5a76c48bdbca955146eb7b">setFilenameConvention</a>(const String &amp;prefix, const String &amp;extension)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a77f531317a2af432f2628fdbb0601cf9">setFilenameExtension</a>(const String &amp;extension)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#aa464da8d2945b6e8ff569c68cd75a6a1">setFilenamePrefix</a>(const String &amp;prefix)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#abdcbba7565eea5b03a5d508e2aba07b2">setOrigin</a>(const Vector3 &amp;pos)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ab6f752f831a9fdc36b64b1f0cc1d3da4">setResourceGroup</a>(const String &amp;grp)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#ae30c228ce95e1459276a461f0d11c511">setTerrainSize</a>(uint16 newTerrainSize)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a49fc3c6d80e6a06527cd44773d67d0a8">setTerrainWorldSize</a>(Real newWorldSize)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#af8735312ab4a7aa569583b77134b8ec8">sphereIntersects</a>(const Sphere &amp;sphere, TerrainList *resultList) const </td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a7be4b53fbb7f1edd7707c69b4ee883f4">TerrainGroup</a>(SceneManager *sm, Terrain::Alignment align, uint16 terrainSize, Real terrainWorldSize)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a1ceb1403ef71bd8c5badd1861f17a566">TerrainGroup</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a0ede78efc787db283ade7fdf25f85fe5">TerrainIterator</a> typedef</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#afb09ef57afe5c35986ac5c38f9f94342">TerrainList</a> typedef</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a8ddf0950465ee9dfb643b6caa5ae7e03">TerrainSlotMap</a> typedef</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#afce782965e3d453f9ceb97ae95780e6f">unloadTerrain</a>(long x, long y)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a041018a20d3605dd54bdbdbca20df587">unpackIndex</a>(uint32 key, long *x, long *y)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#abde345652ad41719d6f87232096c281e">update</a>(bool synchronous=false)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#af9191a938f220f960128fdf7d30acc88">updateDerivedData</a>(bool synchronous=false, uint8 typeMask=0xFF)</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a0b073d61ff3bd590a3a1a928a896da9a">updateGeometry</a>()</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a93836a9bf0faed8a783e65a6f494a633">WORKQUEUE_LOAD_REQUEST</a></td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#a0d7c8fced3825d323b12b5dbd167bf83">~RequestHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html">Ogre::WorkQueue::RequestHandler</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a5fb201476bd4bf5a14425c4598753aab">~ResponseHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html">Ogre::WorkQueue::ResponseHandler</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainGroup.html#a8fa89b425d4ce101a4f3973096d204b2">~TerrainGroup</a>()</td><td><a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
